unit DUTLoggerU;
(*
   Daniel U. Thibault
   <D.U.Thibault@Bigfoot.com>
   6 September 1998
   Updated 17 February 1999,
           22 December 2001 (reverted to standard TForm from TDUTForm)
    1998-1999 Daniel U. Thibault.  All Rights Reserved.

   This is freeware.  No legally binding promises.  If you use the
   component or any part of its code, you must include an
   acknowledgement in the finished code or executable (in the About
   box and/or the Help file).
*)

interface

uses
   Windows,
   Messages,
   SysUtils,
   Classes,
   Graphics,
   Controls,
   Forms,
   Dialogs, StdCtrls, ExtCtrls;

type
   TForm1 = class(TForm)
      Panel1: TPanel;
      btnAddNote: TButton;
      btnClear: TButton;
      btnSave: TButton;
      ListBox1: TListBox;
      procedure FormCreate(Sender: TObject);
      procedure btnAddNoteClick(Sender: TObject);
      procedure btnClearClick(Sender: TObject);
      procedure btnSaveClick(Sender: TObject);
   private
   { Private declarations }
      WM_LOGGIT : Integer;
   protected
	{ Available to descendants }
      procedure DefaultHandler(VAR Message); override;
   public
   { Public declarations }
   end; { TForm1 }

var
   Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
   WM_LOGGIT := RegisterWindowMessage('Debugging Status Message');
end;

procedure TForm1.DefaultHandler(var Message);
var
   S : String;
begin
   inherited DefaultHandler(Message);
   if WM_LOGGIT = 0 then Exit;
   with TMessage(Message) do begin
      if Msg <> WM_LOGGIT then Exit;
      SetLength(S, MAX_PATH);
      GlobalGetAtomName(wParam, PChar(S), MAX_PATH);
      S := Trim(S);
      if S <> '' then ListBox1.Items.Add(S);
   end; { with }
end;

procedure TForm1.btnAddNoteClick(Sender: TObject);
begin
   ListBox1.Items.Add('***** '+ InputBox('Note', 'Note:', ''));
end;

procedure TForm1.btnClearClick(Sender: TObject);
begin
   ListBox1.Items.Clear;
end;

procedure TForm1.btnSaveClick(Sender: TObject);
begin
   ListBox1.Items.SaveToFile('C:\LOGGER.LOG');
   ShowMessage('Saved to C:\LOGGER.LOG');
end;

end. { unit Unit1 }
